<?php
/*
* Database handler
* 
* 
*  10/13/2022 12:52
*  monmail@fai.com - 2022
*
*/

// Database name full file name
$dbName="maps.sqlite";

if (file_exists($dbName) === False) {
    echo "La base de données SQLite n'existe pas : ".$dbName ;
    die();
}

try{

    $db = new PDO('sqlite:'.$dbName);
    $db->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION); // ERRMODE_WARNING | ERRMODE_EXCEPTION | ERRMODE_SILENT
    $db->exec( 'PRAGMA foreign_keys = ON;' );

} catch(Exception $e) {
    echo "Impossible d'accéder à la base de données SQLite : ".$dbName." :" . $e->getMessage();
    die();
}


?>
